Bug 727951 - nm-connection-editors shows "eth0" and "Wired connection 1"
nm-connection-editors shows "eth0" and "Wired connection 1"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
AcceptedNTH
:
Depends On:
Blocks: F16Alpha-accepted/F16AlphaFreezeExcept
  Show dependency treegraph
 
Reported: 2011-08-03 14:43 EDT by James Laska
Modified: 2013-09-02 02:57 EDT (History)
7 users (show)

See Also:
Fixed In Version: anaconda-16.14.6-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-18 18:25:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot.png (45.45 KB, image/png)
2011-08-03 14:43 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2011-08-03 14:43:16 EDT
Created attachment 516562 [details]
Screenshot.png

Description of problem:

nm-connection-editor is showing duplicate device names when activated from the installer (see attachment).  Rvykydal indicates this may be due to the on disk network config files and how systemd is started in the installer environment.

> 2) Automatic default "Wired connection X" is activated because systemd starts
> NM before anaconda writes out inital ifcfg files (or they can race). Comments
> #17, #19 2). It was hit in compose 0721 and it can hide problem 1).
> 
> We could restart NM after we write ifcfg files in loader (that's what I'd
> prefer) or disable it when creating install image.

Version-Release number of selected component (if applicable):
 * anaconda-16.14-1

How reproducible:
 * pretty consistently with Alpha TC1 (http://serverbeach1.fedoraproject.org/pub/alt/stage/16-Alpha.TC1/)

Steps to Reproduce:
1. Start installer without activating networking in loader.  Boot a boot.iso or netinst.iso (or DVD.iso) with no additional boot args
2. At the system name step, select "Configure Network"
  
Actual results:

See attached screenshot.  There are 4 devices listed, when the system only has 2 devices.

Expected results:

The number of listed network devices should match what are available on the system.

Additional info:
Comment 1 James Laska 2011-08-04 10:05:45 EDT
Adding to the proposed NTH list for F16Alpha
Comment 2 Tim Flink 2011-08-04 17:13:52 EDT
This sounds like a good NTH candidate.

+1 Alpha NTH
Comment 3 Radek Vykydal 2011-08-05 04:45:53 EDT
Patch sent to a-d-l.
Comment 4 Tim Flink 2011-08-05 14:46:51 EDT
Discussed in the 2011-08-05 blocker review meeting. Accepted as NTH [1] for Fedora 16 alpha assuming that the fix isn't too invasive.

[1] http://fedoraproject.org/wiki/QA:SOP_nth_bug_process
Comment 5 Radek Vykydal 2011-08-10 09:38:00 EDT
Fixed in master by commit 4acfadedb038744e6b47af74fe584188f82e44aa.
Comment 6 Chris Lumens 2011-08-10 10:20:36 EDT
This will be in anaconda-16.14.4-1 assuming we build one of those for the alpha.  Otherwise, anaconda-16.15-1.
Comment 7 Fedora Update System 2011-08-11 11:49:39 EDT
anaconda-16.14.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/anaconda-16.14.4-1.fc16
Comment 8 Fedora Update System 2011-08-12 00:22:54 EDT
Package anaconda-16.14.4-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-16.14.4-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/anaconda-16.14.4-1.fc16
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2011-08-15 12:55:24 EDT
anaconda-16.14.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/anaconda-16.14.5-1.fc16
Comment 10 Fedora Update System 2011-08-16 16:14:36 EDT
anaconda-16.14.6-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/anaconda-16.14.6-1.fc16
Comment 11 Fedora Update System 2011-08-18 18:24:09 EDT
anaconda-16.14.6-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.